Retrieve Multiple Tags
Returns an array of tag objects used in a space. Only tags assigned to at least one story are included.
https://api.storyblok.com/v2/cdn/tagsQuery parameters
Section titled “Query parameters”- token required string
A preview or public access token
- starts_with string
Filter by story
full_slugto only return tags assigned to stories with afull_slugstarting with the given value - version draft | published
Default:
published
Response properties
Section titled “Response properties”- tags array
An array of tag objects
Examples
Section titled “Examples”curl "https://api.storyblok.com/v2/cdn/tags\?starts_with=articles%2F\&token=ask9soUkv02QqbZgmZdeDAtt"// storyblok-js-client@>=7, node@>=18import Storyblok from "storyblok-js-client";
const storyblok = new Storyblok({ accessToken: "krcV6QGxWORpYLUWt12xKQtt",});
try { const response = await storyblok.get('cdn/tags', { "starts_with": "articles/"}) console.log({ response })} catch (error) { console.log(error)}$client = new \Storyblok\Client('YOUR_STORYBLOK_SPACE_ACCESS_TOKEN');
$client->getTags([ "starts_with" => "articles/"])->getBody();HttpResponse<String> response = Unirest.get("https://api.storyblok.com/v2/cdn/tags?starts_with=articles%2F&token=ask9soUkv02QqbZgmZdeDAtt") .asString();var client = new RestClient("https://api.storyblok.com/v2/cdn/tags?starts_with=articles%2F&token=ask9soUkv02QqbZgmZdeDAtt");var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);import requests
url = "https://api.storyblok.com/v2/cdn/tags"
querystring = {"starts_with":"articles/","token":"ask9soUkv02QqbZgmZdeDAtt"}
payload = ""headers = {}
response = requests.request("GET", url, data=payload, headers=headers, params=querystring)
print(response.text)require 'storyblok'client = Storyblok::Client.new(token: 'YOUR_TOKEN')
client.tags({:params => { "starts_with" => "articles/"}})let storyblok = URLSession(storyblok: .cdn(accessToken: "ask9soUkv02QqbZgmZdeDAtt"))var request = URLRequest(storyblok: storyblok, path: "tags")request.url!.append(queryItems: [ URLQueryItem(name: "starts_with", value: "articles/")])let (data, _) = try await storyblok.data(for: request)print(try JSONSerialization.jsonObject(with: data))val client = HttpClient { install(Storyblok(CDN)) { accessToken = "ask9soUkv02QqbZgmZdeDAtt" }}
val response = client.get("tags") { url { parameters.append("starts_with", "articles/") }}
println(response.body<JsonElement>()){ "tags": [ { "name": "Editor's Choice", "taggings_count": 11 }, { "name": "Featured", "taggings_count": 7 } ]}Was this page helpful?
This site uses reCAPTCHA and Google's Privacy Policy (opens in a new window) . Terms of Service (opens in a new window) apply.
Get in touch with the Storyblok community